/*
 * Box with priority
 */

#ifndef _arrange_box_h_
#define _arrange_box_h_

/* Resources */
#define AiNvertNum	"vertNum"
#define AiCVertNum	"vertNum"
#define AiNarrangeOrder	"arrangeOrder"
#define AiCArrangeOrder	"arrangeOrder"
#define AiNresizeParent	"resizeParent"
#define AiCResizeParent	"resizeParent"

/* Constants */
#define ArrangeAscent	0
#define ArrangeDescent	1

/* Types */
typedef void (*AiSortProc)();

/* Class Record */
extern WidgetClass arrangeBoxWidgetClass;
typedef struct _ArrangeBoxClassRec *ArrangeBoxWidgetClass;

/* Widget type definition. */
typedef struct _ArrangeBoxRec	*ArrangeBoxWidget;

/* Functions */
#define AiSortChildren(w)	(((ArrangeBoxWidgetClass)((w)->core.widget_class))->arrange_box_class.sort_children(w))
Widget AiFindWidgetByName();
#endif

