/*
 *  Load Image Face Widget
 */

#ifndef _load_face_h_
#define _load_face_h_

/* Constants */

#define AiFaceNum	7
#define AiIdleFace	0
#define AiRunFace	1
#define	AiBusyFace	2
#define AiHeavyFace	3
#define AiFeverFace	4
#define AiCrazyFace	5
#define AiDownFace	6

#define AiLoadBoundNum  5

/* Resources */
#define AiNbitmapFileDirectory	"bitmapFileDirectory"
#define AiCBitmapFileDirectory	"BitmapFileDirectory"

#define AiNwidgetSpecificBitmap	"widgetSpecificBitmap"
#define AiCWidgetSpecificBitmap	"WidgetSpecificBitmap"

#define AiNinterval	"interval"
#define AiCInterval	"Interval"

#define AiNwhodDirectory	"whodDirectory"
#define AiCWhodDirectory	"WhodDirectory"

#define AiNshuffle	"shuffle"
#define AiCShuffle	"Shuffle"

#define AiNloadBound	"loadBound"
#define AiCLoadBound	"LoadBound"

/* Class record */
extern WidgetClass	loadFaceWidgetClass;
typedef struct _LoadFaceClassRec	*LoadFaceWidgetClass;

/* Widget type definition */
typedef struct _LoadFaceRec	*LoadFaceWidget;

/* Types related to the widget */

typedef struct _AiFaceData {
	char *bit;
	int width;
	int height;
	Pixmap pixmap;
} AiFaceData;

typedef AiFaceData AiFacesData[AiFaceNum];
typedef struct {
	int value[AiLoadBoundNum];
} AiLoadBound;

/* Representation types */

#define AiRLoadBound "LoadBound"

/* Functions */

void AiChangeLoad();
void AiInitializeFaceData();
void AiCleanupLoadFace();
struct whod *AiLookupLoad();
AiFaceData *AiGetDefaultFaceData();
AiFaceData *AiGetFaceData();
AiLoadBound *AiGetLoadBound();

#endif
