/*
 *	Picture with Label (icon)
 */

#ifndef _labeled_picture_h
#define _labeled_picture_h

/* Resources */
#define AiNlabel	"label"
#define AiNpixmap	"pixmap"
#define AiNforeground	"foreground"
#define AiNfont		"font"
#define AiNlabelMargin	"labelMargin"
#define AiNsideMargin	"sideMargin"
#define AiNcallback	"callback"
#define AiNsensitive	"sensitive"
#define AiNtextPosition "textPosition"

#define AiCLabelMargin	"LabelMargin"
#define AiCSideMargin	"SideMargin"
#define AiCTextPosition "TextPosition"

/* Class record */
extern WidgetClass	labeledPictureWidgetClass;

/* Widget type def. */
typedef struct _LabeledPictureRec	*LabeledPictureWidget;

/* Functions */
char	*AiGetLabel();
void	AiChangeLabel();
Pixmap	AiChangePixmap(),AiChangeBitmapData();

/* Constants */
#define AiNullPixmap	((Pixmap)0)

/* types */
typedef enum { right, left, upper, lower } TextPosition;

/* Representation types */

#define AiRTextPosition "TextPositon"

#endif
